Commit New Pipeline Version
curl --request PUT \
--url https://api.example.com/pipelines/{pipeline_id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"change_description": "<string>",
"current_version": {
"steps": []
},
"parent_folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.example.com/pipelines/{pipeline_id}/"
payload = {
"name": "<string>",
"description": "<string>",
"change_description": "<string>",
"current_version": { "steps": [] },
"parent_folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
change_description: '<string>',
current_version: {steps: []},
parent_folder_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.example.com/pipelines/{pipeline_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "<string>",
"cron_schedule": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"notification_settings": [
{
"method": "EMAIL",
"user_ids": [
"<string>"
],
"member_ids": [
"<string>"
]
}
],
"lower_env_pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"higher_env_pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"current_version": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"steps": [
{
"name": "<string>",
"config": {
"query_type": "sql",
"query": "<string>",
"input_datasets": [
"<string>"
],
"output_datasets": [
"<string>"
],
"job_type": "data-transform"
},
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"release": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>"
}
},
"created_at": "2023-11-07T05:31:56Z",
"created_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>"
},
"annotations": {
"changed": [
{
"step_name": "<string>",
"change_status": "added",
"before": "<string>",
"after": "<string>"
}
],
"canvas_node_annotations": {},
"dataset_output_folders": {}
},
"change_description": "<string>",
"checkpoint": {
"pipeline_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z"
}
},
"reference_notes": "<string>",
"schedule_enabled": true,
"latest_run_status": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}pipelines
Commit New Pipeline Version
PUT
/
pipelines
/
{pipeline_id}
/
Commit New Pipeline Version
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Body
application/json
Response
Successful Response
- EmailNotification
- SlackNotification
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Latest run status for the pipeline's current version (list endpoint; detail uses pipeline_runs).